Subject: LILO 0.10 released
From: [email-masked] (Werner Almesberger)
Date: 13 Apr 1993 14:18:49 GMT
Newsgroups: comp.os.linux.announce

LILO 0.10 is on sunsite.unc.edu in /pub/Linux/Incoming and will soon
appear on tsx-11.mit.edu in /pub/linux/packages/lilo. The files are

    lilo.10.tar.z      source and documentation
    lilo.u.10.ps.z     user's guide in PostScript format
    lilo.t.10.ps.z     technical overview in PostScript format
    lilo.u.10.dj.z     user's guide for HP DeskJet
    lilo.t.10.dj.z     technical overview for HP DeskJet

Note that the compression method has changed from compress to gzip. To
extract lilo.10.tar.z, you have to run the following command:

    gunzip <lilo.10.tar.z | tar xvf -

Similarly, to print any part of the pre-generated documentation:

    gunzip <lilo.u.10.dj.z | lpr

Contrary to my optimistic estimates, lilo.u.10.dj.z is slightly too big
for a 1.2MB floppy disk. If there is great demand, I'll upload it
pre-split.

Besides a few bug fixes and minor enhancements, this version implements
the compatibility changes I've announced when releasing LILO 0.9. Namely,
old-style configuration has been removed and all references to old versions
of the kernel or other programs have been removed from the documentation.
This should make things a lot easier to understand.

Please read the file INCOMPAT if you're using an older version of LILO.
Read it _before_ installing LILO 0.10.

I've attached the relevant section of the CHANGES file.

Future plans: I'm slowly running out of ideas of how to keep the featurism
creeping, so the next goal is a stable 1.0 version.

- Werner

---------------------------------- cut here -----------------------------------

Changes from version 9 to 10
----------------------------

  Boot loader
  -----------

    - added support for read-only setting of root.
    - new chain loader os2.b to load OS/2 from the second disk.
    - new chain loader any_d.b to load BIOS-based operating systems
      (e.g. PC/MS-DOS) from the second disk.

  Map installer
  -------------

    - removed support for old-style configuration.
    - removed the dump option -D
    - removed support for not-compound unstripped kernels.
    - limited partition checking to hard disks and primary partitions.
    - -C now accepts - for standard input.
    - -P now has sub-options "fix" and "ignore". New configuration
      variable "ignore-table" coresponds to "-P ignore"
    - added automatic backup of the partition table when fixing it.
    - new configuration variables "readonly" and "read-write" to change
      read-only mounting of root.
    - made partition offset field in /etc/lilo/disktab optional.
    - added tentative support for XT-type hard disks.
    - improved some error messages.
    - some minor fixes.

  Documentation and installation
  ------------------------------

    - changed many "echo"s in QuickInst to "cat"s.
    - suggesting using a symbolic link to lilo for /etc/lilo/install.
    - removed the configuration option NOAUTO.
    - split the documentation in a user's guide and the technical
      overview.
    - removed all references to older versions of LILO, the kernel or
      other programs.
    - removed all references to old-style configuration and not-compound
      unstripped kernels.
    - using the fullpage style.
    - removed and "ascified" anew the shared sections of README and the
      LaTeX documentation.
    - some minor corrections.
-- 
   _________________________________________________________________________
  / Werner Almesberger, ETH Zuerich, CH           [email-masked] /
 /_IFW_A44__Tel._+41_1_254_7213___________________________________________/

-- 
Send submissions for comp.os.linux.announce to: [email-masked]